Print Page | Close Window

Updating the various component sets

Printed From: TMS Software
Category: General
Forum Name: Feature Requests
Forum Discription:
URL: http://www.tmssoftware.com/site/forum/forum_posts.asp?TID=472
Printed Date: 15 Nov 2019 at 7:15am


Topic: Updating the various component sets
Posted By: Dalton Calford
Subject: Updating the various component sets
Date Posted: 25 Feb 2011 at 10:05am
Could the various component studios such as scriptor or diagram/security studio be updated to use the new UI looks that are supported by TMS?

For example, the scripter studio and diagram studio packages are both wonderful, but they have the old winxp look.
It would be wonderful if they where updated to use some of the new tools/ui looks that are available.

I am right now reading/learning the code to modify the components to make them have the same look/feel as the other component sets.   Even then, I have to be very careful as the very next update will either overwrite or conflict with my custom components.

I have the vcl subscription, so I have the rights to all the various components, but they just don't merge/look well together.   

best regards

Dalton



Replies:
Posted By: Wagner R. Landgraf
Date Posted: 28 Feb 2011 at 6:31am
We already have a Scripter Studio IDE version that works with TMS Component Pack controls. You must set directive THEMED_IDE and recompile the whole package.
We are finding ways to integrate the several packages together, but this is not an easy task because we always have to provide the minimum package possible, i.e., Scripter (or Diagram, or any other pack) must work independent from others (not all users purchase a VCL subscription) and so supporting several different IDE's increase support and cost of maintainance significantly.




Posted By: Dalton Calford
Date Posted: 10 Mar 2011 at 10:10am
Is there step by step documentation on how do change Scriptor Studio pro to Themed_IDE?  If so, where would I find it (document and page reference please)




Posted By: Wagner R. Landgraf
Date Posted: 10 Mar 2011 at 11:25am
In the What's New section in manual, for version 1.4:

"
version 1.4 (May-2009)
New: Themed IDE. By defining directive THEMED_IDE in AScript.INC file you can compile scripter package with TMS Component 
"



Print Page | Close Window